需要在centos上升级svn

Modified on: Sat, 30 Jun 2018 08:46:30 +0800

运行svn up

时出错

  

svn此客户端太旧而无法使用工作副本...请获取更新的subversion客户端

这是关于centos的。我需要更新svn。我该怎么做?

[user@somewhere cms]$ sudo yum install
subversion Loaded plugins:
fastestmirror Loading mirror speeds
from cached hostfile * addons:
mirror.chpc.utah.edu * base:
mirrors.usc.edu * extras:
mirror.chpc.utah.edu * updates:
centos.mirror.facebook.net Setting up
Install Process Package
subversion-1.4.2-4.el5_3.1.i386
already installed and latest version
Nothing to do

yum update做同样的事情。此外,只有一个目录受到影响,但从存储库中删除它并不能解决问题。

最佳答案

RHEL 5.6中有Subversion 1.6(1.5中的1.4),所以只要CentOS发布了RHEL5.6软件包,它就会自动升级。如果您不能等待,那么您可以从Red Hat的源代码包


相关问答

添加新评论